﻿using System;

class Program
{
    static void Main(string[] args)
    {
        object obj;
        decimal geld = typsichereEingabe("Bitte Geldmenge eingeben");
        decimal faktor = typsichereEingabe("Bitte Umrechnungsfaktor eingeben");
        string erg = (geld * faktor).ToString("0.00");
        Console.WriteLine("Die Geldmenge entspricht: " + erg);
        Console.Read();
    }

    /// <summary>
    /// Das soll eine typsichere Eingabe darstellen!
    /// </summary>
    /// <param name="hinweis">Wird in der Console.WriteLine angezeigt</param>
    /// <returns>Der Wert!</returns>
    static decimal typsichereEingabe(string hinweis)
    {
        string buffer;
        decimal value;

        do
        {
            Console.Write(hinweis + ": ");
            buffer = Console.ReadLine().Replace('.', ',');
        } while (!decimal.TryParse(buffer, out value));

        return value;
    }
}